package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.YqszhZb;

import java.util.List;

/**
 * 油气数智化-分类Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-23
 */
public interface YqszhZbMapper
{
    /**
     * 查询油气数智化-分类
     *
     * @param id 油气数智化-分类主键
     * @return 油气数智化-分类
     */
    public YqszhZb selectYqszhZbById(Long id);

    /**
     * 查询油气数智化-分类列表
     *
     * @return 油气数智化-分类集合
     */
    public List<YqszhZb> selectYqszhZbList();





    /**
     * 查询油气数智化-分类列表
     *
     * @return 油气数智化-分类集合
     */
    public List<YqszhZb> selectZb(Long id);

    /**
     * 新增油气数智化-分类
     *
     * @param yqszhZb 油气数智化-分类
     * @return 结果
     */
    public int insertYqszhZb(YqszhZb yqszhZb);

    /**
     * 修改油气数智化-分类
     *
     * @param yqszhZb 油气数智化-分类
     * @return 结果
     */
    public int updateYqszhZb(YqszhZb yqszhZb);

    /**
     * 删除油气数智化-分类
     *
     * @param id 油气数智化-分类主键
     * @return 结果
     */
    public int deleteYqszhZbById(Long id);

    /**
     * 批量删除油气数智化-分类
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteYqszhZbByIds(Long[] ids);
}
