package com.ruoyi.system.service;

import com.ruoyi.system.domain.YqszhCb;

import java.util.List;

/**
 * 油气数智化-产品Service接口
 *
 * @author ruoyi
 * @date 2024-10-23
 */
public interface IYqszhCbService
{
    /**
     * 查询油气数智化-产品
     *
     * @param id 油气数智化-产品主键
     * @return 油气数智化-产品
     */
    public YqszhCb selectYqszhCbById(Long id);

    /**
     * 查询油气数智化-产品列表
     *
     * @param yqszhCb 油气数智化-产品
     * @return 油气数智化-产品集合
     */
    public List<YqszhCb> selectYqszhCbList(YqszhCb yqszhCb);



    /**
     * 修改油气数智化-产品
     *
     * @param yqszhCb 油气数智化-产品
     * @return 结果
     */
    public int updateYqszhCb(YqszhCb yqszhCb);

    /**
     * 批量删除油气数智化-产品
     *
     * @param ids 需要删除的油气数智化-产品主键集合
     * @return 结果
     */
    public int deleteYqszhCbByIds(Long[] ids);

    /**
     * 删除油气数智化-产品信息
     *
     * @param id 油气数智化-产品主键
     * @return 结果
     */
    public int deleteYqszhCbById(Long id);
}
