package com.ruoyi.web.controller;

import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.system.domain.YqszhZb;
import com.ruoyi.system.domain.YqszhZpSy;
import com.ruoyi.system.service.IYqszhCbService;
import com.ruoyi.system.service.IYqszhZbService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletResponse;
import java.util.List;

/**
 * 油气数智化-分类Controller
 *
 * @author ruoyi
 * @date 2024-10-23
 */
@RestController
@RequestMapping("/system/zb")
public class YqszhZbController extends BaseController
{
    @Autowired
    private IYqszhZbService yqszhZbService;
    @Autowired
    private IYqszhCbService yqszhCbService;




    /**
     * 查询油气数智化-分类列表
     */
    @GetMapping("/list")
    public AjaxResult list()
    {
        List<YqszhZpSy> list = yqszhZbService.selectYqszhZbList();
        return success(list);
    }


    /**
     * 获取油气数智化-产品详细信息
     */
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(yqszhCbService.selectYqszhCbById(id));
    }



}
