package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 油气数智化-产品对象 yqszh_cb
 *
 * @author ruoyi
 * @date 2024-10-23
 */
public class YqszhCb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 父id */
    @Excel(name = "父id")
    private Long fid;

    /** 名称 */
    @Excel(name = "名称")
    private String mc;

    /** 父名称 */
    @Excel(name = "父名称")
    private String fmc;

    /** 排序 */
    @Excel(name = "排序")
    private String px;

    /** 发布状态 */
    @Excel(name = "发布状态")
    private String fbzt;

    /** 团队介绍 */
    private String tdjs;

    /** 产品简介 */
    private String cpjj;

    /** 功能特点 */
    private String gntd;

    /** 应用成效 */
    private String yycx;

    /** 用法介绍 */
    private String yfjs;

    /** 服务特色 */
    private String fwts;

    /** 服务案例 */
    private String fwal;

    public String getFmc() {
        return fmc;
    }

    public void setFmc(String fmc) {
        this.fmc = fmc;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFid(Long fid)
    {
        this.fid = fid;
    }

    public Long getFid()
    {
        return fid;
    }
    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }
    public void setPx(String px)
    {
        this.px = px;
    }

    public String getPx()
    {
        return px;
    }
    public void setFbzt(String fbzt)
    {
        this.fbzt = fbzt;
    }

    public String getFbzt()
    {
        return fbzt;
    }
    public void setTdjs(String tdjs)
    {
        this.tdjs = tdjs;
    }

    public String getTdjs()
    {
        return tdjs;
    }
    public void setCpjj(String cpjj)
    {
        this.cpjj = cpjj;
    }

    public String getCpjj()
    {
        return cpjj;
    }
    public void setGntd(String gntd)
    {
        this.gntd = gntd;
    }

    public String getGntd()
    {
        return gntd;
    }
    public void setYycx(String yycx)
    {
        this.yycx = yycx;
    }

    public String getYycx()
    {
        return yycx;
    }
    public void setYfjs(String yfjs)
    {
        this.yfjs = yfjs;
    }

    public String getYfjs()
    {
        return yfjs;
    }
    public void setFwts(String fwts)
    {
        this.fwts = fwts;
    }

    public String getFwts()
    {
        return fwts;
    }
    public void setFwal(String fwal)
    {
        this.fwal = fwal;
    }

    public String getFwal()
    {
        return fwal;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fid", getFid())
            .append("mc", getMc())
            .append("px", getPx())
            .append("fbzt", getFbzt())
            .append("tdjs", getTdjs())
            .append("cpjj", getCpjj())
            .append("gntd", getGntd())
            .append("yycx", getYycx())
            .append("yfjs", getYfjs())
            .append("fwts", getFwts())
            .append("fwal", getFwal())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
