package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.TreeEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 油气数智化-分类对象 yqszh_zb
 *
 * @author ruoyi
 * @date 2024-10-23
 */
public class YqszhZb extends TreeEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 父id */
    @Excel(name = "父id")
    private Long fid;

    /** 名称 */
    @Excel(name = "名称")
    private String mc;

    /** 排序 */
    @Excel(name = "排序")
    private String px;

    /** 类型 */
    @Excel(name = "类型")
    private String cplx;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;


    private List<YqszhCb> children2;


    public List<YqszhCb> getChildren2() {
        return children2;
    }

    public void setChildren2(List<YqszhCb> children2) {
        this.children2 = children2;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setFid(Long fid)
    {
        this.fid = fid;
    }

    public Long getFid()
    {
        return fid;
    }
    public void setMc(String mc)
    {
        this.mc = mc;
    }

    public String getMc()
    {
        return mc;
    }
    public void setPx(String px)
    {
        this.px = px;
    }

    public String getPx()
    {
        return px;
    }
    public void setCplx(String cplx)
    {
        this.cplx = cplx;
    }

    public String getCplx()
    {
        return cplx;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("fid", getFid())
            .append("mc", getMc())
            .append("px", getPx())
            .append("cplx", getCplx())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
